Upgrading

From FUDforum Wiki
Revision as of 08:46, 22 February 2014 by Naudefj (Talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

FUDforum is easily upgradeable to the next stable or development release via an upgrade wizard that can be freely downloaded from FUDforum's website.

Contents

Upgrade path

Any FUDforum 2.x release can be directly upgraded to version 3.0 (no intermediate steps required). However, to be able to upgrade to 3.x versions, you will be required to first upgrade to 3.0.

Any FUDforum 3.x release can be directly upgraded to the latest release.

Upgrade steps

This section describes how FUDforum can be upgraded to a later release:

Backup your forum

It is important to always backup both your database tables and files before upgrading your forum. Users can take a manual backup or simply use the forum datadump facility in the Admin Control Panel.

Sourcing the upgrade script

The upgrade script can be downloaded from https://sourceforge.net/projects/fudforum/files/.

Expand the below section to learn how to build your own upgrade script (only for advanced users).

Running the upgrade script

Now that you have the upgrade script on your server, decompress it and place it inside your forum's main web directory, so that you can access the upgrade script by going to http://your_forum_url/upgrade.php.

The script will output various progress indicators, letting you know of what is it doing at the moment. If you have output buffering enabled or using buffering modules such as mod_gzip you may not see any output of the upgrade script until it finishes.

Upon completion of the upgrade script, you will need to run the consistency checker to rebuild various caches and verify consistency of your forum's data. The upgrade script will try to automatically run the consistency checker by popping-up a new window using JavaScript. If, for some reason, such a window does not appear, click on the 'MUST click here' link, which will execute the consistency checker in the current window.

Once the consistency checker finishes running, the upgrade process is complete. The only thing left to do is to remove the upgrade.php script you've placed inside the forum's web directory in the 1st step.

Re-running the upgrade script

It is completely safe to re-run the upgrade script should something go wrong the first time.

Potential problems:

The upgrade script is missing the data archive and cannot run. Please download it again and retry.

Download the upgrade script again.

THIS UPGRADE SCRIPT HAS ALREADY BEEN RUN, IF YOU WISH TO RUN IT AGAIN USE THE FILE MANAGER TO REMOVE THE ".../data/errors/UPGRADE_STATUS" FILE.

Delete the indicated file and try again.

Also see

Languages
Personal tools